Bug 117491 - [NEW PORT] x11-wm/xmonad: Xmonad is a minimalist and tiling window manager for X
Summary: [NEW PORT] x11-wm/xmonad: Xmonad is a minimalist and tiling window manager for X
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-25 17:40 UTC by Matthieu Guegan
Modified: 2007-10-29 08:11 UTC (History)
0 users

See Also:


Attachments
file.shar (3.12 KB, text/plain)
2007-10-25 17:40 UTC, Matthieu Guegan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Guegan 2007-10-25 17:40:02 UTC
XMonad is a tiling window manager written in Haskell for X.

Features :
    * Very stable, fast, small and simple.
    * Automatic window tiling and management
    * First class keyboard support: a mouse is unnecessary
    * Full support for tiling windows on multi-head displays
    * Full support for floating windows
    * XRandR support to rotate, add or remove monitors
    * Per-workspace layout algorithms
    * Per-screens custom status bars
    * Easy, powerful customisation and reconfiguration
    * Large extension library
    * Extensive documentation and support for hacking

WWW:    http://www.xmonad.org/

Fix: WARNING !! This port needs :

 * x11/hs-x11-ghc [see PR 117486 - PATCH]
 * x11/hs-x11extras-ghc [see PR 117490 - NEW PORT]

Patch attached with submission follows:
Comment 1 Volker Stolz freebsd_committer 2007-10-26 09:23:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

Grab.
Comment 2 dfilter service freebsd_committer 2007-10-29 07:33:06 UTC
vs          2007-10-29 07:33:00 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm               Makefile 
  Added files:
    x11-wm/xmonad        Makefile distinfo pkg-descr 
  Log:
  XMonad is a tiling window manager written in Haskell for X.
  
  Features :
      * Very stable, fast, small and simple.
      * Automatic window tiling and management
      * First class keyboard support: a mouse is unnecessary
      * Full support for tiling windows on multi-head displays
      * Full support for floating windows
      * XRandR support to rotate, add or remove monitors
      * Per-workspace layout algorithms
      * Per-screens custom status bars
      * Easy, powerful customisation and reconfiguration
      * Large extension library
      * Extensive documentation and support for hacking
  
  WWW:    http://www.xmonad.org/
  
  PR:             ports/117491
  Submitted by:   Matthieu Guegan <matt.guegan at free.fr>
  
  Revision  Changes    Path
  1.209     +1 -0      ports/x11-wm/Makefile
  1.1       +42 -0     ports/x11-wm/xmonad/Makefile (new)
  1.1       +3 -0      ports/x11-wm/xmonad/distinfo (new)
  1.1       +16 -0     ports/x11-wm/xmonad/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Volker Stolz freebsd_committer 2007-10-29 08:08:45 UTC
State Changed
From-To: open->closed

Committed with modifications as discussed. We also need to ship the LICENSE file for packages. 
Thanks for your submission!